## searchandrescue 0.7.15

=== Makefile ===
ALL_SRC_DIRS=sar
all install clean:
	@for subdir in $(ALL_SRC_DIRS); do				\
	  make -C $$subdir -f Makefile $@; 				\
	done

## searchandrescue 0.8.2

=== Makefile ===
ALL_SRC_DIRS=sar
all install clean:
	@for subdir in $(ALL_SRC_DIRS); do			\
	  make -s -C $$subdir -f Makefile $@; 			\
	done

## searchandrescue 1.0.0

=== sar/Makefile ===
# Platform Configurator generated Makefile
#
PREFIX = /usr

CFLAGS = -Wall -O2 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE -Wno-write-strings -DHAVE_SDL_MIXER -I/usr/local/include

INC_DIRS =

LIBS = -lm -lSM -lICE -lX11 -lXext -lXi -lXmu -lXpm -lXxf86vm -lGL -lGLU -lpthread -lSDL -lSDL_mixer

LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/

CC = cc

CPP = c++

# Appended stuff starts here
#


# C++ flags:
CPPFLAGS = -D__cplusplus -Dc_plusplus


# Source files list:
include Makefile.srclist


# Compiler set up:
BIN     = SearchAndRescue
OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)
.c.o:
	@echo "Compiling module $*.o"
	@$(CC) -c $*.c $(INC_DIRS) $(CFLAGS)
.cpp.o:
	@echo "Compiling module $*.o"
	@$(CPP) -c $*.cpp $(INC_DIRS) $(CFLAGS) $(CPPFLAGS)

# Programs
LS      = ls
LSFLAGS = -s -h -c --color=auto
RM      = rm
RMFLAGS = -f

# Build rules:
$(BIN): prebuild modules postbuild

modules: $(OBJ_C) $(OBJ_CPP)
	@echo -n "Linking modules..."
	@$(CPP) $(OBJ_C) $(OBJ_CPP) -o $(BIN) $(LIBS) $(LIB_DIRS)
	@echo -n "   "
	@-$(LS) $(LSFLAGS) $(BIN)

prebuild:
	@echo "Building program \"$(BIN)\"..."

postbuild:
	@echo "Build done. To install..."
	@echo "On Ubuntu and related distributions type \"sudo make install\"."
	@echo "On most other distributions, type \"su\" to gain root privileges and then type \"make install\"."

all: $(BIN)


# Install Rules:
include Makefile.install.UNIX


# Maintainance and Misc Rules:
clean:
	@echo "Cleaning program \"$(BIN)\"..."
	@echo "Deleting all intermediate files..."
	@$(RM) $(RMFLAGS) a.out core *.o $(BIN)
	@echo "Clean done."

## searchandrescue 1.3.0

=== sar/Makefile ===
--- 
+++ 
@@ -1,18 +1,18 @@
 # Platform Configurator generated Makefile
 #
-PREFIX = /usr
+PREFIX = $(DESTDIR)/usr/
 
-CFLAGS = -Wall -O2 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE -Wno-write-strings -DHAVE_SDL_MIXER -I/usr/local/include
+CFLAGS = -Wall -O6 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE -DNEW_GRAPHICS #-DOLD_GRAPHICS 
 
 INC_DIRS =
 
-LIBS = -lm -lSM -lICE -lX11 -lXext -lXi -lXmu -lXpm -lXxf86vm -lGL -lGLU -lpthread -lSDL -lSDL_mixer
+LIBS = -lm -lSDL -lSDL_mixer -lSM -lICE -lX11 -lXext -lXmu -lXpm -lXxf86vm -lGL -lGLU -lpthread
 
 LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/
 
-CC = cc
+CC = gcc
 
-CPP = c++
+CPP = g++
 
 # Appended stuff starts here
 #
@@ -56,9 +56,8 @@
 	@echo "Building program \"$(BIN)\"..."
 
 postbuild:
-	@echo "Build done. To install..."
-	@echo "On Ubuntu and related distributions type \"sudo make install\"."
-	@echo "On most other distributions, type \"su\" to gain root privileges and then type \"make install\"."
+	@echo "Build done."
+	@echo "To install, type \"su\" (to gain root privileges) and then type \"make install\"."
 
 all: $(BIN)

## searchandrescue 1.4.0

=== sar/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 PREFIX = $(DESTDIR)/usr/
 
-CFLAGS = -Wall -O6 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE -DNEW_GRAPHICS #-DOLD_GRAPHICS 
+CFLAGS = -Wall -O6 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE
 
 INC_DIRS =

## searchandrescue 1.5.0

=== pconf/Makefile ===
CC = cc
BIN = pconf

$(BIN):
	$(CC) fio.c main.c proc.c utils.c -o $(BIN) -Wall

all:	$(BIN)

clean:
	rm -f *.o a.out core $(BIN)

## searchandrescue 1.5.0+dfsg

=== sar/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 PREFIX = $(DESTDIR)/usr/
 
-CFLAGS = -Wall -O6 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -fexpensive-optimizations -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE
+CFLAGS = -Wall -O2 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE
 
 INC_DIRS =
 
@@ -10,9 +10,9 @@
 
 LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/
 
-CC = gcc
+CC = clang
 
-CPP = g++
+CPP = clang++
 
 # Appended stuff starts here
 #

=== debian/changelog ===
searchandrescue (1.5.0+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089429)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 16:07:37 +0000

searchandrescue (1.5.0+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Take LD_LIBRARY_PATH into account. (Closes: #1019738)
  * Drop empty icons.

 -- Bastian Germann <bage@debian.org>  Tue, 02 Apr 2024 21:34:01 +0000

searchandrescue (1.5.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop old menu file and its icon.
  * Set Priority: optional.
  * Drop noop postinst.
  * Drop all lintian overrides which are invalid or not needed.
  * Set LD_LIBRARY_PATH for configure.
  * Convert to source format 3.0. (Closes: #1007284)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 12:20:00 +0000

searchandrescue (1.5.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:09:16 +0100

searchandrescue (1.5.0-2) unstable; urgency=medium

  * Bump standards-version to 3.9.6.
  * Update platforms.ini:
     * aarch64-linux-gnu, from Adam Conrad, (closes: #728416).
     * powerpc64le-linux-gnu, from Breno Leitao, (closes: #756516).
     * mips64el-linux-gnuabi64 and mips64-linux-gnuabi64, from
       YunQiang Su (closes: 756586).
    Thanks to all three contributors.
  * Desktop integration of games (closes: #738026):
     * Correct .desktop file.
     * Add icons for desktop.
  * Add override of source-is-missing for pconf/pconf.  Sources are in
    pconf/.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 17:10:17 +0100

searchandrescue (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.4.
  * Hardening flags: added to debian/rules and sar/makefile_append.ini.

 -- Phil Brooke <pjb@debian.org>  Thu, 31 Oct 2013 18:05:51 +0000

searchandrescue (1.4.0-2) unstable; urgency=low

  * Acknowledge NMU 1.4.0-1.1 -- thanks.
  * Bump standards-version to 3.9.3.
  * Fix too-large pixmap icon, override with debian/SearchAndRescue.xpm.

 -- Phil Brooke <pjb@debian.org>  Mon, 11 Jun 2012 12:05:00 +0100

searchandrescue (1.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS in sid: install: cannot stat `SearchAndRescue': No such
    file or directory": fix build* target dependencies in debian/rules.
    (Closes: #673864)

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Jun 2012 18:45:33 +0200

searchandrescue (1.4.0-1) unstable; urgency=low

  * New upstream release (closes: #636561).

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 15:58:31 +0000

searchandrescue (1.3.0-1) unstable; urgency=low

  * New upstream release.  Bumped dependency on searchandrescue-data,
    too.  (Closes: #598242.)
  * binutils-gold/--no-add-needed FTBFS appears to be fixed by SDL
    symlinking libsdl.  Checked with/without bintuils-gold,
    with/without -Wl,--no-add-needed on i386 and amd64.  
    (Closes: #615773.)
  * Added some additional (verbose) debugging code for pconf.
  * Added --ignore-environments to configure command, because
    dpkg-buildflags seems to confuse it.  Needs a better long-term fix.
  * Removed Debian-specific (redundant) joystick patches.
  * Removed broken watch file.
  * Manual page now in common package.  Added override to binary package.
  * Bumped standards-version to 3.9.2.
  * Add build-arch and build-indep targets.

 -- Phil Brooke <pjb@debian.org>  Fri, 01 Jul 2011 10:42:20 +0100

searchandrescue (1.0.0-1) unstable; urgency=low

  * New upstream release. 
    * New upstream.
    * Added homepage to control.
  * Added debian/source/format of 1.0.
  * Replaced dh_clean -k with dh_prep and bump compat to 7.
  * Upstream has added SDL sound support.  Adding new build-depends.
    Added #define in sound.h to force SDL sound.
  * Added Jesse Smith's name to copyright file.
  * Added simple patch to use joystick via SDL if available.  (Patch
    sent to upstream for inclusion.)  Added comment in README.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jun 2010 10:57:34 +0100

searchandrescue (0.8.2-11) unstable; urgency=low

  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Bump debian/compat to 6 (remove from rules) and build-depends on
    debhelper.
  * Homepage has gone away, remove from control file.
  * Removed libjsw-dev dependency (removed due to GTK1.2 removal).
  * Add comment to README.Debian about flight controls and update
    control description.
  * Add (parts of) patch from Scott Kitterman and Stefan Potyra --
    thank you.  (Closes: #546399.)
      * Add missing #include <stdio.h> in sar/gctl.c for gcc 4.4
        compatibility.
      * Remove deprecated dh_desktop calls from debian/rules.
      * sar/string.cpp, include/string.h: Disable strcasestr if
        _GNU_SOURCE is defined (for gcc 4.4 compatibility), as this
        function is already part of (e)glibc as a _GNU_SOURCE
        extension.

 -- Phil Brooke <pjb@debian.org>  Mon, 08 Feb 2010 16:28:45 +0000

searchandrescue (0.8.2-10) unstable; urgency=low

  * Add desktop file (closes: 476962).
  * Remove old x-dev and libglu1 build-dependencies, added libglu1-mesa-dev.
  * Bump standards-version to 3.8.0.

 -- Phil Brooke <pjb@debian.org>  Fri, 18 Jul 2008 07:17:50 +0100

searchandrescue (0.8.2-9) unstable; urgency=low

  * Fixed broken clean target causing FTBFS (closes: #457346).
  * Add better watch file, on suggestion from Raphael Geissert.

 -- Phil Brooke <pjb@debian.org>  Thu, 27 Dec 2007 14:47:24 +0000

searchandrescue (0.8.2-8) unstable; urgency=low

  * Update to standards-version 3.7.3: 
      * Modified debian/menu.
  * Applied patches:
      * From Brian M. Carlson to fix FTBFS (closes: 387117).
      * From Lior Kaplan to make binNMU safe (modifies depends to


=== debian/control ===
Source: searchandrescue
Section: games
Priority: optional
Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxpm-dev, libxxf86vm-dev, bzip2, libsm-dev, libxmu-dev, libglu1-mesa-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Rules-Requires-Root: no
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/searchandrescue/

Package: searchandrescue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, searchandrescue-common (= ${source:Version}), searchandrescue-data (>= 1.3.0-1)
Conflicts: sar
Replaces: sar
Description: fly aircraft to search (for) and rescue people in distress
 Tired of scores indicating things destroyed or lives snuffed? Try something
 different -- fly a helicopter around and rescue people in distress. If you 
 were in trouble wouldn't you want someone to rescue you? 
 .
 This game is intended for players of all audiences, but especially for mature
 players who want to get away from the violence and still retain a level of
 precise challenge. Flight difficulty can be lowered for beginners (regardless
 of mission type), and graphics minimized to suit slower computers
 (minimum Pentium 166 with no graphics acceleration).

Package: searchandrescue-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: sar, searchandrescue (<< 0.7.20-7)
Description: common files and documentation for searchandrescue
 Tired of scores indicating things destroyed or lives snuffed? Try something
 different -- fly a helicopter around and rescue people in distress. If you 
 were in trouble wouldn't you want someone to rescue you? 
 .
 This package contains the documentation and architecture independent
 (common) files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCDIR=`pwd`/debian/searchandrescue/usr/share/doc/searchandrescue/html/

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# Modified to include dpkg-buildflags.
	LD_LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH) ./configure Linux


	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	-rm -f sar/SearchAndRescue
	-rm -f pconf/pconf
	-rm -f sar/Makefile
	-rm -f sar/this_platform.ini

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/searchandrescue

#	mkdir -p $(DOCDIR)
#	install -m 0444 docs/*.png docs/*.html $(DOCDIR)

	# Create directory .../debian/searchandrescue-common.
	install -d -m 755 `pwd`/debian/searchandrescue-common/usr/share
	# Move common files.
#	mv `pwd`/debian/searchandrescue/usr/share/doc `pwd`/debian/searchandrescue-common/usr/share
	mv `pwd`/debian/searchandrescue/usr/share/pixmaps `pwd`/debian/searchandrescue-common/usr/share
	# Desktop file
	install -d -m 755 `pwd`/debian/searchandrescue/usr/share/applications
	install -m 644 debian/SearchAndRescue.desktop `pwd`/debian/searchandrescue/usr/share/applications/SearchAndRescue.desktop

	# Un-bzip the manpage.
	bunzip2 `pwd`/debian/searchandrescue/usr/share/man/man6/SearchAndRescue.6.bz2
	# Move it to the common package.
	mv `pwd`/debian/searchandrescue/usr/share/man `pwd`/debian/searchandrescue-common/usr/share

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
#	dh_installmanpages -i
	dh_installchangelogs -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps  -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
#	dh_installmanpages -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps  -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## searchandrescue 1.7.0+dfsg

=== Makefile ===
ALL_SRC_DIRS=sar
all install clean:
	@for subdir in $(ALL_SRC_DIRS); do			\
	  [ ! -f $$subdir/Makefile ] || make -s -C $$subdir -f Makefile $@; 			\
	done

data:
	./installsardata

=== sar/Makefile ===
--- 
+++ 
@@ -2,16 +2,16 @@
 #
 PREFIX = $(DESTDIR)/usr/
 
-CFLAGS = -Wall -O2 -funroll-loops -fomit-frame-pointer -ffast-math -finline-functions -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE
+CFLAGS = -Wall -O2 -funroll-loops -fomit-frame-pointer -ffast-math -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DUSE_XSHM -DHAVE_MWMUTIL_H -DHAVE_LIBXPM -DHAVE_XF86_VIDMODE
+CFLAGS += -I/usr/X11R6/include -I/usr/local/include
 
 INC_DIRS =
 
 LIBS = -lm -lSDL -lSDL_mixer -lSM -lICE -lX11 -lXext -lXmu -lXpm -lXxf86vm -lGL -lGLU -lpthread
 
-LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/
+LIB_DIRS =  -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/X11R6/lib/ -L/usr/local/lib
 
 CC = clang
-
 CPP = clang++
 
 # Appended stuff starts here
@@ -19,7 +19,7 @@
 
 
 # C++ flags:
-CPPFLAGS = -D__cplusplus -Dc_plusplus
+# CPPFLAGS = -D__cplusplus -Dc_plusplus
 
 
 # Source files list:
@@ -39,7 +39,7 @@
 
 # Programs
 LS      = ls
-LSFLAGS = -s -h -c --color=auto
+LSFLAGS = -s -h -c # --color=auto
 RM      = rm
 RMFLAGS = -f

=== debian/changelog ===
searchandrescue (1.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
    Closes: #1094366
  * New upstream version
    Closes: #880052
  * Maintain package in Debian Games team
  * Add watch file
  * d/rules: Use short dh
  * d/copyright:
     - clarify copyright for debian/*
     - exclude some remainings of Debian packaging inside upstream source
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * d/control: Drop Conflicts/Replaces: sar

 -- Andreas Tille <tille@debian.org>  Mon, 17 Feb 2025 12:00:26 +0100

=== debian/control ===
Source: searchandrescue
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Phil Brooke <pjb@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxxf86vm-dev,
               bzip2,
               libsm-dev,
               libxmu-dev,
               libglu1-mesa-dev,
               libsdl1.2-dev,
               libsdl-mixer1.2-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/searchandrescue
Vcs-Git: https://salsa.debian.org/games-team/searchandrescue.git
Homepage: http://sourceforge.net/projects/searchandrescue/
Rules-Requires-Root: no

Package: searchandrescue
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         searchandrescue-common (= ${source:Version}),
         searchandrescue-data
Description: fly aircraft to search (for) and rescue people in distress
 Tired of scores indicating things destroyed or lives snuffed? Try something
 different -- fly a helicopter around and rescue people in distress. If you
 were in trouble wouldn't you want someone to rescue you?
 .
 This game is intended for players of all audiences, but especially for mature
 players who want to get away from the violence and still retain a level of
 precise challenge. Flight difficulty can be lowered for beginners (regardless
 of mission type), and graphics minimized to suit slower computers
 (minimum Pentium 166 with no graphics acceleration).

Package: searchandrescue-common
Architecture: all
Depends: ${misc:Depends}
Description: common files and documentation for searchandrescue
 Tired of scores indicating things destroyed or lives snuffed? Try something
 different -- fly a helicopter around and rescue people in distress. If you
 were in trouble wouldn't you want someone to rescue you?
 .
 This package contains the documentation and architecture independent
 (common) files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

DOCDIR=`pwd`/debian/searchandrescue/usr/share/doc/searchandrescue/html/

override_dh_clean:
	-rm -f sar/SearchAndRescue
	-rm -f pconf/pconf
	-rm -f sar/Makefile
	-rm -f sar/this_platform.ini
	dh_clean

override_dh_auto_configure:
	# Modified to include dpkg-buildflags.
	LD_LIBRARY_PATH=/usr/lib/$(DEB_HOST_MULTIARCH) sh ./configure Linux

override_dh_installman-indep:
	# Un-bzip the manpage.
	bunzip2 --keep sar/man/SearchAndRescue.6.bz2
	dh_installman -i
	rm sar/man/SearchAndRescue.6

override_dh_installman-arch:
	rm -f $(CURDIR)/debian/*/usr/share/man/man6/SearchAndRescue.6.bz2

override_dh_missing-indep:
	dh_missing -i --list-missing

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://sf.net/@PACKAGE@/SearchAndRescue-@ANY_VERSION@@ARCHIVE_EXT@
